///////////////////////////////////////////////////////////////////////////////
//
//  This software module was originally developed by SAMSUNG ELECTRONICS CO., LTD.
// and Kyunghee University, Korea in the course of development of the ISO/IEC 
// 14496-20(Lightweight Application Scene Representation -LASeR- and Simple 
// Aggregation Format -SAF-) AMD2: Adaptation standard for reference purposes and
// its performance may not have been optimized.
//
// This software module is an implementation of one or more tools as specified by 
// the ISO/IEC 14496-20 AMD2: Adaptation standard.
//
// ISO/IEC gives users free license to this software module or modifications 
// thereof for use in hardware or software products claiming conformance to 
// audiovisual and image-coding related ITU Recommendations and/or ISO/IEC
// International Standards.
//
// ISO/IEC gives users the same free license to this software module or 
// modifications thereof for research purposes and further ISO/IEC standardisation.
// Those intending to use this software module in hardware or software products are
// advised that its use may infringe existing patents. 
//
// The original developer of this software module and his/her company, the 
// subsequent editors and their companies, and ISO/IEC have no liability for use of
// this software module or modifications thereof in an implementation.
//
// Copyright is not released for products that do not conform to audiovisual and 
// image-coding related ITU Recommendations and/or ISO/IEC International Standards.
// The organizations named above retain full rights to use the code for their own
// purpose, assign or donate the code to a third party and inhibit third parties 
// from using the code for products that do not conform to audiovisual and 
// image-coding related ITU Recommendations and/or ISO/IEC International Standards.
//
// This copyright notice must be included in all copies or derivative works.
// 
// Copyright (c) ISO/IEC 2010
//
// This notice must be included in all copies or derivative works.
//

#pragma once
#include "afxwin.h"


// CTerminal_State ȭ Դϴ.

class CTerminal_State : public CDialog
{
	DECLARE_DYNAMIC(CTerminal_State)

public:
	CTerminal_State(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CTerminal_State();

// ȭ  Դϴ.
	enum { IDD = IDD_TERMINAL_STATE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.

	DECLARE_MESSAGE_MAP()

	CComboBox m_ctrlDisPlay;  

public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedButtonOk();

	void SetCurMemory();
	void SetCurResolution();
	void SetCurDisplay();
	void SetCurDpi();
	afx_msg void OnBnClickedButton1();

	int       m_nDisPlay;         //Current Display Size
	int       m_nTotalMemory;     //total Memory Size
	int       m_nAvailablePhys;   //Available Memory Size
	int       m_nResolutionX;     //Resolution x
	int       m_nResolutionY;     //Resolution y
	int       m_nDpiX;
	int       m_nDpiY;
	int       m_nAdaptationSelected;

};
