///////////////////////////////////////////////////////////////////////////////
//
//  This software module was originally developed by SAMSUNG ELECTRONICS CO., LTD.
// and Kyunghee University, Korea in the course of development of the ISO/IEC 
// 14496-20(Lightweight Application Scene Representation -LASeR- and Simple 
// Aggregation Format -SAF-) AMD2: Adaptation standard for reference purposes and
// its performance may not have been optimized.
//
// This software module is an implementation of one or more tools as specified by 
// the ISO/IEC 14496-20 AMD2: Adaptation standard.
//
// ISO/IEC gives users free license to this software module or modifications 
// thereof for use in hardware or software products claiming conformance to 
// audiovisual and image-coding related ITU Recommendations and/or ISO/IEC
// International Standards.
//
// ISO/IEC gives users the same free license to this software module or 
// modifications thereof for research purposes and further ISO/IEC standardisation.
// Those intending to use this software module in hardware or software products are
// advised that its use may infringe existing patents. 
//
// The original developer of this software module and his/her company, the 
// subsequent editors and their companies, and ISO/IEC have no liability for use of
// this software module or modifications thereof in an implementation.
//
// Copyright is not released for products that do not conform to audiovisual and 
// image-coding related ITU Recommendations and/or ISO/IEC International Standards.
// The organizations named above retain full rights to use the code for their own
// purpose, assign or donate the code to a third party and inhibit third parties 
// from using the code for products that do not conform to audiovisual and 
// image-coding related ITU Recommendations and/or ISO/IEC International Standards.
//
// This copyright notice must be included in all copies or derivative works.
// 
// Copyright (c) ISO/IEC 2010
//
// This notice must be included in all copies or derivative works.
//

// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__84541056_C341_484F_A5DF_74901E47B0F0__INCLUDED_)
#define AFX_STDAFX_H__84541056_C341_484F_A5DF_74901E47B0F0__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define UWM_SLIDER_PROGRESS              WM_USER + 100
#define UWM_SLIDER_VOLUME                WM_USER + 101
#define UWM_PLAYLIST_PLAY                WM_USER + 102
#define UWM_PLAYLIST_DLG_HIDE            WM_USER + 103
#define UWM_STARTUP_OPENFILE             WM_USER + 104
#define UWM_VIEW_MPLAYER_PAUSE           WM_USER + 105
#define UWM_VIEW_MPLAYER_FULLSCREEN      WM_USER + 106

#define UWM_MPLAYER_STARTING             WM_USER + 200
#define UWM_MPLAYER_STARTPLAYING         WM_USER + 201
#define UWM_MPLAYER_FAILEDTOSTART        WM_USER + 202
#define UWM_MPLAYER_AUTOSTOPPED          WM_USER + 203


#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include "memdc.h"

#include <gdiplus.h>
using namespace Gdiplus;

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__84541056_C341_484F_A5DF_74901E47B0F0__INCLUDED_)
