#ifndef _ERROR_H_
#define _ERROR_H_

#include "tools.h"


#define CONFIRM(X) if (X < 0) {return err;}

// error message
enum
{
	LASeREOF				= 1,
	LASeRNoErr				= 0,
	LASeRFileNotFoundErr	= -1,
	LASeRFileIOErr			= -2,
	LASeRBadParamErr		= -3,
	LASeRNoMoreMemoryErr	= -4,
	LASeRDOMTreeErr			= -5,
	LASeRSceneTreeErr		= -6,
	LASeRFuncNotFoundErr	= -7,
	LASeRAttrNotFoundErr	= -8,
	LASeREncoderErr			= -9,
	LASeRVideoDecoderErr	= -10,
	LASeRJSEngineErr		= -11,
	
	LASeRActivateErr		= -126,
	LASeRAdaptiveUpdateGroupErr,
	LASeRAddErr,
	LASeRCleanErr,
	LASeRDeactiveErr,
	LASeRDeleteErr,
	LASeRInsertErr,
	LASeRNewSceneErr,
	LASeRRefreshSceneErr,
	LASeRReleaseResourceErr,
	LASeRReplaceErr,
	LASeRRestoreErr,
	LASeRSaveErr,
	LASeRSendEventErr,

	LASeRAErr,
	LASeRAnimateErr,
	LASeRAnimateMotionErr,
	LASeRAnimateTransformErr,
	LASeRAudioErr,
	LASeRCircleErr,
	LASeRDefsErr,
	LASeRDescErr,
	LASeREllipseErr,
	LASeRForeignObjectErr,
	LASeRGErr,
	LASeRImageErr,
	LASeRLineErr,
	LASeRLinearGradientErr,
	LASeRListenerErr,
	LASeRMPathErr,
	LASeRPathErr,
	LASeRPolygonErr,
	LASeRRadialGradientErr,
	LASeRRectErr,
	LASeRScriptErr,
	LASeRSetErr,
	LASeRStopErr,
	LASeRSwitchErr,
	LASeRSVGErr,
	LASeRTextErr,
	LASeRTSpanErr,
	LASeRUseErr,
	LASeRVideoErr,

	LASeRAnimationErr,
	LASeRDiscardErr,
	LASeRFontErr,
	LASeRFontFaceErr,
	LASeRFontFaceSrcErr,
	LASeRFontFaceUriErr,
	LASeRGlyphErr,
	LASeRHkernErr,
	LASeRHandlerErr,
	LASeRMissingGlyphErr,
	LASeRPrefetchErr,
	LASeRSolidColorErr,
	LASeRTBreakErr,
	LASeRTextAreaErr,

	LASeRAnimateScrollErr,
	LASeRConditionalErr,
	LASeRCursorManagerErr,
	LASeRRectClipErr,
	LASeRSelectorErr,
	LASeRSimpleLayoutErr,
	LASeRSetScrollErr,
	LASeRUpdatesErr,

	LASeRParsingSwitchErr,

	LASeRValidationErr,
};

#endif