///////////////////////////////////////////////////////////////////////////////
//
//  This software module was originally developed by SAMSUNG ELECTRONICS CO., LTD.
// and Kyunghee University, Korea in the course of development of the ISO/IEC 
// 14496-20(Lightweight Application Scene Representation -LASeR- and Simple 
// Aggregation Format -SAF-) AMD2: Adaptation standard for reference purposes and
// its performance may not have been optimized.
//
// This software module is an implementation of one or more tools as specified by 
// the ISO/IEC 14496-20 AMD2: Adaptation standard.
//
// ISO/IEC gives users free license to this software module or modifications 
// thereof for use in hardware or software products claiming conformance to 
// audiovisual and image-coding related ITU Recommendations and/or ISO/IEC
// International Standards.
//
// ISO/IEC gives users the same free license to this software module or 
// modifications thereof for research purposes and further ISO/IEC standardisation.
// Those intending to use this software module in hardware or software products are
// advised that its use may infringe existing patents. 
//
// The original developer of this software module and his/her company, the 
// subsequent editors and their companies, and ISO/IEC have no liability for use of
// this software module or modifications thereof in an implementation.
//
// Copyright is not released for products that do not conform to audiovisual and 
// image-coding related ITU Recommendations and/or ISO/IEC International Standards.
// The organizations named above retain full rights to use the code for their own
// purpose, assign or donate the code to a third party and inhibit third parties 
// from using the code for products that do not conform to audiovisual and 
// image-coding related ITU Recommendations and/or ISO/IEC International Standards.
//
// This copyright notice must be included in all copies or derivative works.
// 
// Copyright (c) ISO/IEC 2010
//
// This notice must be included in all copies or derivative works.
//

//{{NO_DEPENDENCIES}}
// Microsoft Visual C++ generated include file.
// Used by LASeRPlayer.rc
//
#define IDD_ABOUTBOX                    100
#define IDR_MAINFRAME                   101
#define IDD_PROGRESS_DLGBAR             102
#define IDR_MYTOOLBAR                   103
#define IDD_PLAYLIST                    104
#define IDD_OPENURL                     105
#define IDD_PLAYER_STATUSBAR            106
#define IDI_AUDIO_NO_AUDIO              107
#define IDI_AUDIO_STEREOL               108
#define IDI_AUDIO_STEREOR               109
#define IDI_AUDIO_MONO                  110
#define IDI_FILE_BLANK                  111
#define IDI_NET_OUT                     112
#define IDI_NET_BUFFERING               113
#define IDI_NET_INOUT                   114
#define IDI_NET_OK                      115
#define IDI_NET_REC_020                 116
#define IDB_BITMAP_VIDEOPANEL           117
#define IDD_DIALOG1                     187
#define IDD_TERMINAL_STATE              187
#define IDC_SLIDER_PROGRESS             1000
#define IDC_SLIDER_VOLUME               1001
#define IDC_LIST_PLAYLIST               1002
#define IDC_BUTTON_PL_STARTPLAY         1003
#define IDC_BUTTON_PL_ADD               1004
#define IDC_BUTTON_PL_LOAD              1005
#define IDC_BUTTON_PL_SAVE              1006
#define IDC_BUTTON_PL_SORT              1007
#define IDC_BUTTON_PL_REMOVE            1008
#define IDC_BUTTON_PL_REMOVEALL         1009
#define IDC_BUTTON_PL_MOVEUP            1010
#define IDC_BUTTON_PL_MOVEDOWN          1011
#define IDC_OPENURL                     1012
#define IDC_CHECK_STARTUP_FULLSCREEN    1013
#define IDC_EDIT_SHUTDOWN_COUNTER       1014
#define IDC_DISPLAY                     1071
#define IDC_BUTTON_OK                   1072
#define IDC_TOTALMEMORY                 1074
#define IDC_AVAILABLEPHYS               1075
#define IDC_RESOLUTIONX                 1076
#define IDC_RESOLUTIONY                 1077
#define IDC_BUTTON1                     1078
#define IDC_DPIX                        1080
#define IDC_EDIT2                       1081
#define IDC_DPIY                        1081
#define ID_PLAY_PLAY                    32771
#define ID_PLAY_STOP                    32772
#define ID_PLAY_PAUSE                   32773
#define ID_FILE_CLOSE_FILE              32774
#define ID_VIEW_ZOOM1X                  32782
#define ID_VIEW_ZOOMHALF                32783
#define ID_VIEW_ZOOM2X                  32784
#define ID_VIEW_FULLSCREEN              32785
#define ID_FILE_CLIPPROPERTY            32786
#define ID_VIEW_ALWAYSONTOP             32787
#define ID_VIEW_KEEPASPECTRATIO         32788
#define ID_VIEW_PROGRESS_BAR            32789
#define ID_PLAY_FF10S                   32790
#define ID_PLAY_REW10S                  32791
#define ID_PLAY_FF1M                    32792
#define ID_PLAY_REW1M                   32793
#define ID_PLAY_FF10M                   32794
#define ID_PLAY_REW10M                  32795
#define ID_PLAY_REPEAT                  32796
#define ID_VOLUME_100                   32797
#define ID_VOLUME_75                    32798
#define ID_VOLUME_50                    32799
#define ID_VOLUME_25                    32800
#define ID_VOLUME_MUTE                  32801
#define ID_OPTIONS_PREFERENCES          32802
#define ID_VIEW_PLAYLIST                32803
#define ID_VIEW_VIDEOSETTINGS           32813
#define ID_DUMMY                        32814
#define ID_VIEW_MYTOOLBAR               32818
#define ID_OPTIONS_SAVESETTINGS         32819
#define ID_PLAY_NEXT                    32822
#define ID_PLAY_PREVIOUS                32823
#define ID_FILE_OPENURL                 32824
#define ID_PLAY_GOTO                    32825
#define ID_VIEW_STATUSBAR               32827
#define ID_HELP_HOMEPAGE                32828
#define ID_VIEW_LOG                     32829
#define ID_PLAY_AFTERPLAYBACK_SHUTDOWN  32833
#define ID_PLAY_AFTERPLAYBACK_DONOTHING 32834
#define ID_ADAPTATION_TERMINAL          32835
#define ID_                             32836
#define ID_TERMINAL_STATE               32837
#define ID_INDICATOR_TIME               59144
#define ID_INDICATOR_LENGTH             59145
#define ID_INDICATOR_STATUS             59146
#define ID_INDICATOR_ABPS               59147
#define IDS_MPLAYER_PLAYING_SINGLE      61204
#define IDS_MPLAYER_PAUSE               61205
#define IDS_MPLAYER_STOP                61206
#define IDS_MPLAYER_ASKTOSTART          61207
#define IDS_MPLAYER_FAILED              61208
#define IDS_MPLAYER_PLAYING_LIST        61209
#define IDS_MPLAYER_ASKTOQUIT           61210
#define IDS_MPLAYER_FILENOTEXIST        61211
#define IDS_MPLAYER_NOENGINE            61212

// Next default values for new objects
// 
#ifdef APSTUDIO_INVOKED
#ifndef APSTUDIO_READONLY_SYMBOLS
#define _APS_NEXT_RESOURCE_VALUE        188
#define _APS_NEXT_COMMAND_VALUE         32838
#define _APS_NEXT_CONTROL_VALUE         1082
#define _APS_NEXT_SYMED_VALUE           101
#endif
#endif
